%define	rname	parted
%define name	hack%{rname}
%define	version	1.1.3
%define	release	3mdk
%define	prefix	%{_prefix}
%define	sbindir	%{_prefix}/sbin

Summary:	flexible partitioning tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System/Configuration/Hardware
URL:		http://www.gnu.org/software/parted
Source:		ftp://ftp.gnu.org/gnu/parted/devel/%{rname}-%{version}.tar.bz2
Source1:        ftp://ftp.gnu.org/gnu/parted/devel/devtools-2.tar.bz2
Buildroot:	%{_tmppath}/%{rname}-%{version}-root
Requires:	e2fsprogs, readline
BuildPrereq:	e2fsprogs-devel, readline-devel
Packager: Geoffrey Lee <snailtalk@linux-mandrake.com>

%description
GNU Parted is a program that allows you to create, destroy,
resize, move and copy hard disk partitions. This is useful for
creating space for new operating systems, reorganising disk
usage, and copying data to new hard disks.

!WARNING! this is the development version of parted, use with care!!

%package	devel
Summary:	files required to compile software that uses libparted
Group:		Development/Other
Requires:	e2fsprogs hackparted
BuildPrereq:	e2fsprogs-devel, readline-devel

%description	devel
This package includes the header files and libraries needed to
statically link software with libparted.

%prep
%setup -n %{rname}-%{version} -q -b 1 -c

%build
cd %{rname}-%{version}
%configure --prefix=%{prefix} --sbindir=%{sbindir}

if [ -x /usr/bin/getconf ] ; then
    NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $NRPROC -eq 0 ] ; then
        NRPROC=1
    fi
else
    NRPROC=1
fi    

make -j $NRPROC

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
cd %{rname}-%{version}
make DESTDIR=$RPM_BUILD_ROOT install
cd ../devtools && mkdir -p $RPM_BUILD_ROOT/usr/lib/parted && mv * \
$RPM_BUILD_ROOT/usr/lib/parted

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc %{rname}-%{version}/AUTHORS %{rname}-%{version}/BUGS 
%doc %{rname}-%{version}/COPYING %{rname}-%{version}/ChangeLog 
%doc %{rname}-%{version}/NEWS %{rname}-%{version}/README 
%doc %{rname}-%{version}/THANKS %{rname}-%{version}/TODO
%{sbindir}/parted
%{prefix}/lib/lib*%{version}.so
#%{prefix}/share/locale/*/LC_MESSAGES/*
%{prefix}/man/*/*

%files devel
%defattr(-,root,root)
%{prefix}/include/parted
%{prefix}/lib/libparted.a
%{prefix}/lib/libparted.la
%{prefix}/lib/libparted.so

%changelog
* Mon May 08 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.1.3-3mdk
- provides libparted for the main package
- fix devel package: how do you link stuff when you don't have hackparted??

* Mon Apr 03 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.1.3-2mdk
- add devtools tarball
- commented out the strip and bzip2 manpages, we dun need it
- fix the url

* Fri Mar 24 2000 Pixel <pixel@mandrakesoft.com> 1.1.3-1mdk
- new version

* Mon Mar 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- 1.1.2 development version is out

* Sat Feb 19 2000 Pixel <pixel@mandrakesoft.com> 1.1.1-1mdk
- new devel version

* Tue Feb 15 2000 Pixel <pixel@mandrakesoft.com> 1.1.0-1mdk
- first devel version

* Tue Feb 15 2000 Pixel <pixel@mandrakesoft.com> 1.0.9-1mdk
- new version

* Mon Feb 07 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used a great srpm provided by Geoffrey Lee <snailtalk@linux-mandrake.com>

* Mon Feb 07 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- Rebuilt for Mandrake
- 1.0.8

* Mon Jan 20 2000 Ryan Weaver <ryanw@infohwy.com>
  [parted-1.0.7-2]
- made ped_device_seek() a bit more portable
- changed type of PedDevice's heads, sector, cyl fields to int's.
- added a man page, contributed by Timshel Knoll <timshel@pobox.com>

* Thu Jan 20 2000 Ryan Weaver <ryanw@infohwy.com>
  [parted-1.0.6-2]
- fixed >16gig bug in libparted/disk_dos.c  (need LE32, not LE16!!!)

* Tue Jan 18 2000 Ryan Weaver <ryanw@infohwy.com>
  [parted-1.0.5-2]
- applied patch from Tim Waugh <twaugh@redhat.com>
- added autoconfuse checks up-to-date linux/ext2_fs.h
- imported new ext2_fs.h
- imported changes from ext2resize, to add support the ext2 "filetype"
  feature
- removed -Wno-sign-compare, because it breaks older gcc
- moved checks for termcap up before readline check, and get readline check
  to use the result of the termcap check.
- the "termcap" library can be now be one of: -ltermcap, -ltermlib, -lcurses,
  -lncurses.
- fixed buglet for FAT16 cluster entries
- fixed (hopefully) str_list_print_wrap()
- use static for do_* in parted/parted.c
- cleaned up parted.spec.in

  [parted-1.0.4-2]
- Fixed a silly bug in ped_partition_set_system() for extended partitions

* Tue Jan  4 2000 Ryan Weaver <ryanw@infohwy.com>
  [parted-1.0.3-2]
- Arrghh!  Found (and fixed) a VERY nasty bug during partition table writes.

  [parted-1.0.2-1]
- Arrghh!  Found (and fixed) a nasty bug in the string printing code.

  [parted-1.0.1-1]
- added some documentation about --without-readline and --disable-nls

